package org.gcube.portlets.user.geoportaldataviewer.client.util;

public class URLUtil {
	
	/**
	 * Gets the value of parameter.
	 *
	 * @param paramName the param name
	 * @param url the url
	 * @return the value of parameter
	 */
	public static String getValueOfParameter(String paramName, String url) {
//		logger.trace("finding: "+wmsParam +" into "+url);
		int index = url.toLowerCase().indexOf(paramName.toLowerCase()+"="); //ADDING CHAR "=" IN TAIL TO BE SECURE  IT IS A PARAMETER
//		logger.trace("start index of "+wmsParam+ " is: "+index);
		String value = "";
		if(index > -1){
			int start = index + paramName.length()+1; //add +1 for char '='
			String sub = url.substring(start, url.length());
			int indexOfSeparator = sub.indexOf("&");
			int end = indexOfSeparator!=-1?indexOfSeparator:sub.length();
			value = sub.substring(0, end);
		}else
			return null;

//		logger.trace("return value: "+value);
		return value;
	}

}
